SymmetricTest

Portability | portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk

Codec.Encryption.AES

Contents

- Function Types

Description

Takes the AES module supplied by Lukasz Anforowicz and wraps it so it can used with the standard modes.

Synopsis

- encrypt :: AESKey a => a -> Word128 -> Word128
- decrypt :: AESKey a => a -> Word128 -> Word128
- class AESKeyIndirection a => AESKey a

# Function Types

encrypt :: AESKey a => a -> Word128 -> Word128

Basic AES encryption which takes a key and a block of plaintext and returns the encrypted block of ciphertext according to the standard.

decrypt :: AESKey a => a -> Word128 -> Word128

Basic AES decryption which takes a key and a block of ciphertext and returns the decrypted block of plaintext according to the standard.

class AESKeyIndirection a => AESKey a

Instances

AESKey Word256 |
AESKey Word192 |
AESKey Word128 |